import { createStore } from "@stencil/store";
export const configStore = createStore({
    language: 'en',
    theme: 'light',
    businessId: null,
    shopId: null,
    accessToken: null,
    isProduction: false,
    timeZone: null,
    translationSettings: {
        is_auto: false,
        target_language: null,
        exclude_languages: [],
    },
    isNotConnected: false,
    isZwiz: false,
    connectionList: [],
    memberList: [],
    zrmzApiUrl: null,
    openChatByFilter: null,
    package: null,
    isShowWarningNotification: window.Notification?.permission !== 'granted',
    zwizSyncMessage: false,
});
export const messagesStore = createStore({
    messages: [],
    reads: [],
    loadedKeys: new Set(),
    readsMap: {},
});
export const filterChatsStore = createStore({
    filterChat: undefined,
    filterConfig: undefined,
    filterType: 'quick',
});
export const statusesStore = createStore({
    statuses: [],
});
export const tagsStore = createStore({
    tags: [],
});
export const chatsStore = createStore({
    chats: [],
    loadedKeys: new Set(),
    loading: false,
});
export const userStore = createStore({
    user: null,
});
export const userAddressStore = createStore({
    userAddress: null,
});
export const selectedChatStore = createStore({
    selectedChat: null,
    isSyncingTag: false,
    isSyncingMessage: false,
    isSearchMessage: false,
});
export const selectedMessageToReplyStore = createStore({
    selectedMessageToReply: null,
});
export const deviceModeStore = createStore({
    mode: typeof window !== 'undefined' ? (window.innerWidth <= 600 ? 'mobile' : window.innerWidth <= 1024 ? 'tablet' : 'desktop') : 'desktop',
});
export const profilePanelStore = createStore({
    isShowProfile: false,
    isSelectTab: 'profile'
});
export const customFiltersStore = createStore({
    filters: [],
    selectedFilter: null,
    loading: false,
});
export const chatLanguageStore = createStore({
    isEdit: false
});
export const translateStore = createStore({
    translatedMessages: {},
    translatedMessagesMeta: {}
});
export const chatInputStore = createStore({
    originalText: '',
});
export const connectionJobsStore = createStore({
    jobs: [],
});
export const userInfosStore = createStore({});
export const platformConnectionsStore = createStore({ connections: null });
export const businessStore = createStore({ users: [], groups: [], ticketStatusSettings: [] });
export const sessionTokensStore = createStore({});
export const storageUsageStore = createStore({ usage: 0 });
